Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

GNOME dependencies etc

git-svn-id: https://svn.r-project.org/R/trunk@5578 00db46b3-68df-0310-9c12-caf00c1e9a41
  • Loading branch information...
commit 8aa1433b7c6635f4ef9743506587fc2013139d8f 1 parent 92ae89a
ripley authored
Showing with 42 additions and 10 deletions.
  1. +42 −10 INSTALL
View
52 INSTALL
@@ -11,7 +11,8 @@ regularity and can be obtained from CRAN (see the RESOURCES file).
R will configure and build under a number of common Unix platforms
including dec-alpha-osf, freebsd, hpux, linux-elf, sgi-irix, solaris,
and sunos. In general it is relatively easy to adapt R to new
-platforms. See below for details.
+platforms. See the section on new platforms for details.
+
GETTING AND UNPACKING THE SOURCES
@@ -45,6 +46,7 @@ directory of it and
Notice that this does not necessarily work if the older sources have
been modified (e.g. by building in their directories).
+
SIMPLE COMPILATION
Choose a place to install the R tree (R is not just a binary, but has
@@ -100,15 +102,8 @@ information on CRAN.
Now rehash if necessary, type `R' and reach for your S manuals ...
And, read the R FAQ (http://www.ci.tuwien.ac.at/~hornik/R/R-FAQ.html).
-The GNOME interface for R will only be built if you specify it by
-running configure with the --with-gnome option. For example, you
-might run
-
- ./configure --with-gnome
-
-You will need libglade to build the GNOME interface. For more
-information on libglade and to download the source, see
- http://www.daa.com.au/~james/gnome/
+The GNOME interface for R will only be built if you specify it:
+see the GNOME section below.
INSTALLATION
@@ -167,6 +162,43 @@ also look at LD_LIBRARY_PATH to make sure that all libraries are on this
path.
+BUILDING THE GNOME INTERFACE
+
+The GNOME interface for R will only be built if you specify it by
+running configure with the --with-gnome option. For example, you
+might run
+
+ ./configure --with-gnome
+
+but please check you have all the requirements first. It is advisable to
+have reasonably-up-to-date versions of the gnome and gtk+ libraries
+(later than those in RedHat 6.0, for example). You can find the
+versions you have by
+
+ gnome-config --version
+ gtk-config --version
+
+We know 1.0.10 and 1.2.3 suffice. Updates are available, for example
+from update.redhat.com for rpm-based systems. You need all of the
+following rpms installed
+
+ gnome-libs
+ gnome-libs-devel
+ gtk+
+ gtk+-devel
+
+You will need libglade 0.3 to build the GNOME interface. For more
+information on libglade and to download the source, see
+
+ http://www.daa.com.au/~james/gnome/
+
+This needs a recent version of libxml (it says >= 1.3, but only 1.4
+seems available). You can obtain sources of libglade and libxml from
+the sources directory of the GNOME distribution (ftp.gnome.org and
+mirrors). Rpms of libxml-1.4 and libxml-devel-1.4 are available from
+rawhide.redhat.com and mirrors. We are not aware of any rpm for libglade.
+
+
NEW PLATFORMS (Standards Hah!)
There are a number of sources of problems when installing R on a new
Please sign in to comment.
Something went wrong with that request. Please try again.